package com.fzm.mall.server.front.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("基本用户信息")
public class UserVO {
    @ApiModelProperty("用户uid")
    private String uid;
    @ApiModelProperty("用户名称")
    private String name;
    @ApiModelProperty("用户签名")
    private String autograph;
    @ApiModelProperty("性别（0：未知，1：男，2：女）")
    private Integer sex;
    @ApiModelProperty("账号")
    private String account;
    @ApiModelProperty("手机号")
    private String phone;
    @ApiModelProperty("邮箱")
    private String email;
    @ApiModelProperty("密码，无则为空，有则为******")
    private String password;
    @ApiModelProperty("邀请码")
    private String invitationCode;
    @ApiModelProperty("被邀请关系，uid，以逗号分隔")
    private String invitationNexus;
    @ApiModelProperty("用户注册设备")
    private String device;
    @ApiModelProperty("创建时间")
    private Long createTime;
    @ApiModelProperty("是否被冻结，0：否，1：是")
    private Integer state;

    public UserVO() {
    }

    public String getUid() {
        return this.uid;
    }

    public String getName() {
        return this.name;
    }

    public String getAutograph() {
        return this.autograph;
    }

    public Integer getSex() {
        return this.sex;
    }

    public String getAccount() {
        return this.account;
    }

    public String getPhone() {
        return this.phone;
    }

    public String getEmail() {
        return this.email;
    }

    public String getPassword() {
        return this.password;
    }


    public String getInvitationCode() {
        return this.invitationCode;
    }

    public String getInvitationNexus() {
        return this.invitationNexus;
    }

    public String getDevice() {
        return this.device;
    }

    public Long getCreateTime() {
        return this.createTime;
    }

    public Integer getState() {
        return this.state;
    }

    public void setUid(final String uid) {
        this.uid = uid;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public void setAutograph(final String autograph) {
        this.autograph = autograph;
    }

    public void setSex(final Integer sex) {
        this.sex = sex;
    }

    public void setAccount(final String account) {
        this.account = account;
    }

    public void setPhone(final String phone) {
        this.phone = phone;
    }

    public void setEmail(final String email) {
        this.email = email;
    }

    public void setPassword(final String password) {
        this.password = password;
    }

    public void setInvitationCode(final String invitationCode) {
        this.invitationCode = invitationCode;
    }

    public void setInvitationNexus(final String invitationNexus) {
        this.invitationNexus = invitationNexus;
    }

    public void setDevice(final String device) {
        this.device = device;
    }

    public void setCreateTime(final Long createTime) {
        this.createTime = createTime;
    }

    public void setState(final Integer state) {
        this.state = state;
    }

}